<?php

namespace App\Classes\General;


use Illuminate\Support\Str;

class Helper
{

    /**
     * @param string $methodName
     * @return string
     */
    static function getPropertyName(string $methodName){
        return Str::snake(str_replace('get', '', $methodName));
    }

    /**
     * @param string $className
     * @return array
     */
    static function getClassMethodsArray(string $className){
        return array_slice(get_class_methods($className), 1);
    }

}